function A = meanIdentity(hyp, x, i)

% Identity mean function. The mean function does not have any parameters.
%
% m(x) = x
%
% Copyright (c) by Carl Edward Rasmussen and Hannes Nickisch, 2010-01-10.
%
% See also MEANFUNCTIONS.M.

if nargin<2, A = '0'; return; end             % report number of hyperparameters 
if nargin==2
  A = 0.5*x;                                      % evaluate mean
else
  A = zeros(size(x,1),1);                     % derivative
end
